Thread::getCurrentThread
Thread::getThreadId
Thread
PHP Manual

# Thread::getCurrentThreadId

(PECL pthreads >= 2.0.0)

Thread::getCurrentThreadId — Identification

### Description

public static integer Thread::getCurrentThreadId ( void )

Will return the identity of the currently executing Thread

### Parameters

This function has no parameters.

### Return Values

A numeric identity

### Examples

Example #1 Return the identity of the currently executing Thread

`<?php
class My extends Thread {
public function run() {
printf("%s is Thread #%lu\n", __CLASS__, Thread::getCurrentThreadId());
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    My is Thread #123456778899

Thread::getCurrentThread
Thread::getThreadId
Thread
PHP Manual